### Function

# ECal ComponentText new

since: 3.34

#### Declaration [src]

    ECalComponentText*
    e_cal_component_text_new (
      const gchar* value,
      const gchar* altrep
    )

#### Description [src]

Creates a new `ECalComponentText` describing text properties. The returned structure should be freed with e_cal_component_text_free(), when no longer needed.

Available since: 3.34

#### Parameters

`value`

  Type: `const gchar*`

  Description text.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`altrep`

  Type: `const gchar*`

  Alternate representation URI.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponentText`

A newly allocated `ECalComponentText`.

The caller of the function takes ownership of the data, and is responsible for freeing it.